Bug 1031091 - dracut-pre-pivot: Warning: UPGRADEROOT is unset, can't save initramfs
dracut-pre-pivot: Warning: UPGRADEROOT is unset, can't save initramfs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fedup-dracut (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 10:25 EST by Arun S A G
Modified: 2013-12-06 16:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-06 16:43:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arun S A G 2013-11-15 10:25:41 EST
Description of problem:
I cloned the fedup-dracut repo https://github.com/wgwoods/fedup-dracut/ and created fedora-dracut rpms and installed them on a Fedora 19 system. I then created a 'fedup' repo and used it as --instrepo (i did this because i needed to do some cleanups after the upgrade using upgrade-cleanup.sh)

But after the reboot, my boot hangs saying (during actual upgrade)

'dracut-pre-pivot: Warning: UPGRADEROOT is unset, can't save initramfs'

Version-Release number of selected component (if applicable):
0.8.0

How reproducible:
Always

Steps to Reproduce:
1. Create a fedup inst repo and try to use it for upgrade
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Will Woods 2013-12-06 16:43:26 EST
Bugzilla is the wrong place for bug reports about pre-released code - file that stuff in github, please.

Anyway, the "UPGRADEROOT is unset, can't save initramfs" stuff was removed from fedup-dracut in commit b4cbcdd, back in October, so I don't think you built your upgrade.img correctly?

I'm just going to assume it was either a build problem or a temporary bug with unfinished code that's now finished.

If you get the same error after building images with fedup-dracut-0.8.0 (from the packages in koji or the tag in git), feel free to reopen this. Please include the versions of fedup, dracut, and fedup-dracut (using commit IDs if you're installing untagged code from git).

Note You need to log in before you can comment on or make changes to this bug.